
From: Bodo Stroesser <bstroesser@fujitsu-siemens.com>

Remove some definitions and declarations from arch/um/include/skas_ptrace.h,
as they have moved to arch/um/include/sysdep/skas_ptrace.h

Also, remove PTRACE_SIGPENDING support in UML at all.

Signed-off-by: Bodo Stroesser <bstroesser@fujitsu-siemens.com>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/include/skas_ptrace.h |   15 ++-------------
 arch/um/kernel/ptrace.c       |    5 -----
 2 files changed, 2 insertions(+), 18 deletions(-)

diff -puN arch/um/include/skas_ptrace.h~uml-header-and-code-cleanup arch/um/include/skas_ptrace.h
--- 25/arch/um/include/skas_ptrace.h~uml-header-and-code-cleanup	Mon May  2 17:15:55 2005
+++ 25-akpm/arch/um/include/skas_ptrace.h	Mon May  2 17:15:55 2005
@@ -6,22 +6,11 @@
 #ifndef __SKAS_PTRACE_H
 #define __SKAS_PTRACE_H
 
-struct ptrace_faultinfo {
-	int is_write;
-	unsigned long addr;
-};
-
-struct ptrace_ldt {
-	int func;
-  	void *ptr;
-	unsigned long bytecount;
-};
-
 #define PTRACE_FAULTINFO 52
-#define PTRACE_SIGPENDING 53
-#define PTRACE_LDT 54
 #define PTRACE_SWITCH_MM 55
 
+#include "sysdep/skas_ptrace.h"
+
 #endif
 
 /*
diff -puN arch/um/kernel/ptrace.c~uml-header-and-code-cleanup arch/um/kernel/ptrace.c
--- 25/arch/um/kernel/ptrace.c~uml-header-and-code-cleanup	Mon May  2 17:15:55 2005
+++ 25-akpm/arch/um/kernel/ptrace.c	Mon May  2 17:15:55 2005
@@ -263,11 +263,6 @@ long sys_ptrace(long request, long pid, 
 			break;
 		break;
 	}
-	case PTRACE_SIGPENDING:
-		ret = copy_to_user((unsigned long __user *) data,
-				   &child->pending.signal,
-				   sizeof(child->pending.signal));
-		break;
 
 #ifdef PTRACE_LDT
 	case PTRACE_LDT: {
_
